Subject: bug#19393: 25.0.50; Emacs cannot determine coding system of ISO-8859 encoded files

From: Tassilo Horn <[email-masked]>
Date: Tue, 16 Dec 2014 20:36:33 +0100

Wolfgang Jenkner <[email-masked]> writes:

>> And shouldn't it be possible to force Emacs to a certain coding system?
>
> Perhaps revert-buffer-with-coding-system will do what you want (i.e.,
>
> C-x <return> r l a t i n - 1  <return> y e s <return>

Yes, that's the right command and not `C-x RET f' as I've thought.

> should show letters with diacritical marks properly,

It does.

> but it took about 20 minutes on my old dual-core k8 system).

Here it took about 2 seconds and it's not that I own the first practical
quantum computer.

> In any case, some bisecting shows that the first problem is the line
>
> Jedna žena – jedan vek (2011)				2011
>
> It seems to be encoded in Windows-1250 [1] instead.

Indeed.  How did you search for it?  I guess you didn't just scroll the
file with open eye.

Bye,
Tassilo